<?php
/**
 * Medical Supplements Store: Block Patterns
 *
 * @package Medical Supplements Store
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'medical-supplements-store',
		array( 'label' => __( 'Medical Supplements Store', 'medical-supplements-store' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'medical-supplements-store/banner-section',
		array(
			'title'      => __( 'Banner Section', 'medical-supplements-store' ),
			'categories' => array( 'medical-supplements-store' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/images/Banner.png\",\"id\":3086,\"dimRatio\":0,\"align\":\"full\",\"className\":\"medical-supplements-store-banner-section\"} -->\n<div class=\"wp-block-cover alignfull medical-supplements-store-banner-section\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim-0 has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-3086\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/images/Banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns {\"className\":\"medical-supplements-store-colum mx-lg-5 mb-0\"} -->\n<div class=\"wp-block-columns medical-supplements-store-colum mx-lg-5 mb-0\"><!-- wp:column {\"className\":\"medical-supplements-store-text px-md-5\"} -->\n<div class=\"wp-block-column medical-supplements-store-text px-md-5\"><!-- wp:heading {\"level\":1,\"style\":{\"typography\":{\"fontSize\":\"35px\"}}} -->\n<h1 style=\"font-size:35px\">lorem ipsum&nbsp;is simply dummy text </h1>\n<!-- /wp:heading --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'medical-supplements-store/delivery-section',
		array(
			'title'      => __( 'Delivery Section', 'medical-supplements-store' ),
			'categories' => array( 'medical-supplements-store' ),
			'content'    => "<!-- wp:columns {\"align\":\"full\",\"style\":{\"color\":{\"background\":\"#b60000\"}},\"className\":\"medical-supplements-store-delivery-section px-5\"} -->\n<div class=\"wp-block-columns alignfull medical-supplements-store-delivery-section px-5 has-background\" style=\"background-color:#b60000\"><!-- wp:column {\"className\":\"delivery-box\"} -->\n<div class=\"wp-block-column delivery-box\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"33.33%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:33.33%\"><!-- wp:image {\"align\":\"right\",\"id\":3109,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image alignright size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/images/icon1.png\" alt=\"\" class=\"wp-image-3109\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"17px\"}},\"textColor\":\"white\"} -->\n<h3 class=\"has-white-color has-text-color\" style=\"font-size:17px\"><strong>Free Delivery</strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color\" style=\"font-size:14px\">LOREM IPSUM</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"delivery-box\"} -->\n<div class=\"wp-block-column delivery-box\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"33.33%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:33.33%\"><!-- wp:image {\"align\":\"right\",\"id\":3127,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image alignright size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/images/icon2.png\" alt=\"\" class=\"wp-image-3127\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"17px\"}},\"textColor\":\"white\"} -->\n<h3 class=\"has-white-color has-text-color\" style=\"font-size:17px\"><strong>Free Delivery</strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color\" style=\"font-size:14px\">LOREM IPSUM</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"delivery-box\"} -->\n<div class=\"wp-block-column delivery-box\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"33.33%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:33.33%\"><!-- wp:image {\"align\":\"right\",\"id\":3128,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image alignright size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/images/icon3.png\" alt=\"\" class=\"wp-image-3128\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"17px\"}},\"textColor\":\"white\"} -->\n<h3 class=\"has-white-color has-text-color\" style=\"font-size:17px\"><strong>Free Delivery</strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color\" style=\"font-size:14px\">LOREM IPSUM</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"delivery-box\"} -->\n<div class=\"wp-block-column delivery-box\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"verticalAlignment\":\"center\",\"width\":\"33.33%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-center\" style=\"flex-basis:33.33%\"><!-- wp:image {\"align\":\"right\",\"id\":3132,\"sizeSlug\":\"full\",\"linkDestination\":\"none\"} -->\n<figure class=\"wp-block-image alignright size-full\"><img src=\"" . esc_url(get_template_directory_uri()) . "/images/icon4.png\" alt=\"\" class=\"wp-image-3132\"/></figure>\n<!-- /wp:image --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"verticalAlignment\":\"top\",\"width\":\"66.66%\"} -->\n<div class=\"wp-block-column is-vertically-aligned-top\" style=\"flex-basis:66.66%\"><!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"17px\"}},\"textColor\":\"white\"} -->\n<h3 class=\"has-white-color has-text-color\" style=\"font-size:17px\"><strong>Free Delivery</strong></h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"14px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color\" style=\"font-size:14px\">LOREM IPSUM</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns -->",
		)
	);

	register_block_pattern(
		'medical-supplements-store/products-section',
		array(
			'title'      => __( 'Products Section', 'medical-supplements-store' ),
			'categories' => array( 'medical-supplements-store' ),
			'content'    => "<!-- wp:group {\"className\":\"medical-supplements-store-products-section \"} -->\n<div class=\"wp-block-group medical-supplements-store-products-section\"><!-- wp:heading {\"style\":{\"typography\":{\"fontSize\":\"32px\"}},\"className\":\"pb-5\"} -->\n<h2 class=\"pb-5\" style=\"font-size:32px\">BEST SELLERS</h2>\n<!-- /wp:heading -->\n\n<!-- wp:woocommerce/product-category {\"columns\":4,\"rows\":1,\"categories\":[18],\"contentVisibility\":{\"title\":true,\"price\":true,\"rating\":true,\"button\":true},\"className\":\"medical-supplements-store-product-categoy-section pt-5\"} /--></div>\n<!-- /wp:group -->",
		)
	);
}